%define modname inotify
%define soname %{modname}.so
%define inifile A82_%{modname}.ini

Summary:	Provides inotify functions for PHP
Name:		php-%{modname}
Version:	0.1.6
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/inotify/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:  php-devel >= 3:5.2.0

%description
The inotify extension allows to use inotify functions in a PHP script.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv -f ../package*.xml .

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README inotify.php tail.php package.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 0.1.6-3.mga3
+ Revision: 393304
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.1.6-2.mga3
+ Revision: 375811
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 0.1.6-1.mga3
+ Revision: 275585
- upgrade to 0.1.6

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.4-12.mga2
+ Revision: 223907
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.1.4-11.mga2
+ Revision: 185319
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.1.4-10.mga1
+ Revision: 48005
- removed buildroot definition from .spec
- imported package php-inotify

